Loading...
Searching...
No Matches
itk::OpenCLImageFormat Class Reference

`#include <itkOpenCLImageFormat.h>`

## Detailed Description

The OpenCLImageFormat class represents the format of a OpenCLImage.

Definition at line 34 of file itkOpenCLImageFormat.h.

## Public Types

enum | ChannelOrder { R = 0x10B0 , A = 0x10B1 , RG = 0x10B2 , RA = 0x10B3 , RGB = 0x10B4 , RGBA = 0x10B5 , BGRA = 0x10B6 , ARGB = 0x10B7 , INTENSITY = 0x10B8 , LUMINANCE = 0x10B9 , Rx = 0x10BA , RGx = 0x10BB , RGBx = 0x10BC , DEPTH = 0x10BD , DEPTH_STENCIL = 0x10BE }

enum

ChannelType {
SNORM_INT8 = 0x10D0 , SNORM_INT16 = 0x10D1 , UNORM_INT8 = 0x10D2 , UNORM_INT16 = 0x10D3 ,
UNORM_SHORT_565 = 0x10D4 , UNORM_SHORT_555 = 0x10D5 , UNORM_INT_101010 = 0x10D6 , SIGNED_INT8 = 0x10D7 ,
SIGNED_INT16 = 0x10D8 , SIGNED_INT32 = 0x10D9 , UNSIGNED_INT8 = 0x10DA , UNSIGNED_INT16 = 0x10DB ,
UNSIGNED_INT32 = 0x10DC , HALF_FLOAT = 0x10DD , FLOAT = 0x10DE , UNORM_INT24 = 0x10DF
}

enum | ImageType { BUFFER = 0x10F0 , IMAGE2D = 0x10F1 , IMAGE3D = 0x10F2 , IMAGE2D_ARRAY = 0x10F3 , IMAGE1D = 0x10F4 , IMAGE1D_ARRAY = 0x10F5 , IMAGE1D_BUFFER = 0x10F6 }
using | Self = OpenCLImageFormat

## Public Member Functions

OpenCLImageFormat::ChannelOrder | GetChannelOrder () const
OpenCLImageFormat::ChannelType | GetChannelType () const
OpenCLImageFormat::ImageType | GetImageType () const
bool | IsNull () const
| OpenCLImageFormat ()
| OpenCLImageFormat (const OpenCLImageFormat::ChannelOrder channelOrder, const OpenCLImageFormat::ChannelType channelType)
| OpenCLImageFormat (const OpenCLImageFormat::ImageType imageType, const OpenCLImageFormat::ChannelOrder channelOrder, const OpenCLImageFormat::ChannelType channelType)

## Private Attributes

cl_image_format | m_Format
cl_mem_object_type | m_ImageType

## Friends

class | OpenCLContext
class | OpenCLImage

## Member Typedef Documentation

## Self

using itk::OpenCLImageFormat::Self = OpenCLImageFormat

Standard class typedefs.

Definition at line 38 of file itkOpenCLImageFormat.h.

## Member Enumeration Documentation

## ChannelOrder

enum itk::OpenCLImageFormat::ChannelOrder

Enumerator
R |
A |
RG |
RA |
RGB |
RGBA |
BGRA |
ARGB |
INTENSITY |
LUMINANCE |
Rx |
RGx |
RGBx |
DEPTH |
DEPTH_STENCIL |

Definition at line 90 of file itkOpenCLImageFormat.h.

## ChannelType

enum itk::OpenCLImageFormat::ChannelType

Enumerator
SNORM_INT8 |
SNORM_INT16 |
UNORM_INT8 |
UNORM_INT16 |
UNORM_SHORT_565 |
UNORM_SHORT_555 |
UNORM_INT_101010 |
SIGNED_INT8 |
SIGNED_INT16 |
SIGNED_INT32 |
UNSIGNED_INT8 |
UNSIGNED_INT16 |
UNSIGNED_INT32 |
HALF_FLOAT |
FLOAT |
UNORM_INT24 |

Definition at line 134 of file itkOpenCLImageFormat.h.

## ImageType

enum itk::OpenCLImageFormat::ImageType

Enumerator
BUFFER |
IMAGE2D |
IMAGE3D |
IMAGE2D_ARRAY |
IMAGE1D |
IMAGE1D_ARRAY |
IMAGE1D_BUFFER |

Definition at line 49 of file itkOpenCLImageFormat.h.

## Constructor & Destructor Documentation

## OpenCLImageFormat() [1/3]

itk::OpenCLImageFormat::OpenCLImageFormat | ( |  | ) |

Constructs a null OpenCL image format descriptor.

See also
  IsNull()

## OpenCLImageFormat() [2/3]

itk::OpenCLImageFormat::OpenCLImageFormat | ( | const OpenCLImageFormat::ChannelOrder | channelOrder,
|  | const OpenCLImageFormat::ChannelType | channelType )

Constructs an OpenCL image format descriptor from channelOrder and channelType.

## OpenCLImageFormat() [3/3]

itk::OpenCLImageFormat::OpenCLImageFormat | ( | const OpenCLImageFormat::ImageType | imageType,
|  | const OpenCLImageFormat::ChannelOrder | channelOrder,
|  | const OpenCLImageFormat::ChannelType | channelType )

Constructs an OpenCL image format descriptor from imageType channelOrder and channelType.

## Member Function Documentation

## GetChannelOrder()

OpenCLImageFormat::ChannelOrder itk::OpenCLImageFormat::GetChannelOrder | ( |  | ) | const

Returns the order of channels in this OpenCL image format.

See also
  GetChannelType(), GetImageType()

## GetChannelType()

OpenCLImageFormat::ChannelType itk::OpenCLImageFormat::GetChannelType | ( |  | ) | const

Returns the representation type for channels in this OpenCL image format.

See also
  GetChannelOrder(), GetImageType()

## GetImageType()

OpenCLImageFormat::ImageType itk::OpenCLImageFormat::GetImageType | ( |  | ) | const

Returns the image type in this OpenCL image format.

See also
  GetChannelOrder(), GetChannelType()

## IsNull()

bool itk::OpenCLImageFormat::IsNull | ( |  | ) | const

Returns true if this OpenCL image format descriptor is null.

## Friends And Related Symbol Documentation

## OpenCLContext

friend class OpenCLContext

friend

friends from OpenCL core

Definition at line 193 of file itkOpenCLImageFormat.h.

## OpenCLImage

friend class OpenCLImage

friend

Definition at line 194 of file itkOpenCLImageFormat.h.

## Field Documentation

## m_Format

cl_image_format itk::OpenCLImageFormat::m_Format

private

Definition at line 190 of file itkOpenCLImageFormat.h.

## m_ImageType

cl_mem_object_type itk::OpenCLImageFormat::m_ImageType

private

Definition at line 189 of file itkOpenCLImageFormat.h.

Generated on 1768596610 for elastix by 1.15.0 |